
#include "Connection.hpp"

#include "Common.hpp" // logging

#ifdef CAROB_LOG4CXX_NAME
#include <log4cxx/logger.h>
#include <log4cxx/basicconfigurator.h>
#endif

#include <vector>
#include <iostream>

int main()
{
  using namespace CarobNS;

#ifdef CAROB_LOG4CXX_NAME
  // Set up a simple configuration that logs on the console.
  log4cxx::BasicConfigurator::configure();
#endif

  setLogLevel(LOG_LEVEL_INFO);

  // ensure we pull out some symbols
  std::vector<ControllerInfo> ctrls;
  ctrls.push_back(ControllerInfo(L"localhost", 25322));
  
  ConnectionParameters connectionPrms(ctrls,
                                      L"myDB",
                                      L"user",
                                      L"");
  
  std::cout << "library successfully loaded" << std::endl;

  return 0;
}
